## nvidia-xconfig 1.0+20070502

=== Makefile ===
#
# nvidia-xconfig: A tool for manipulating X config files,
# specifically for use by the NVIDIA Linux graphics driver.
#
# Copyright (C) 2005 NVIDIA Corporation
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of the
# License, or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the:
#
#      Free Software Foundation, Inc.
#      59 Temple Place - Suite 330
#      Boston, MA 02111-1307, USA
#
#
# Makefile
#

# default definitions; can be overwritten by users

SHELL = /bin/sh
INSTALL = install
BUILD_OS := $(shell uname)
BUILD_ARCH := $(shell uname -m)

ifndef CC
  CC = gcc
endif

ifndef HOST_CC
  HOST_CC = $(CC)
endif

CPP = cpp

ifndef CFLAGS
  CFLAGS = -g -O -Wall
endif
ifdef NV_CFLAGS
  CFLAGS += $(NV_CFLAGS)
endif

# the NVDEBUG environment variable controls whether we build debug or retail

ifeq ($(NVDEBUG),1)
  STRIP = true
  CFLAGS += -g -DDEBUG
else
  STRIP = strip
  CFLAGS += -O
endif

# default prefix
ifdef ROOT
  prefix = $(ROOT)/usr
else
  prefix = /usr/local
endif

# default echo within SunOS sh does not have -n option. Use /usr/ucb/echo instead.
# Solaris install has a different argument syntax
# Also, man pages are not gzipped on Solaris.
ifeq ($(BUILD_OS),SunOS)
ECHO=/usr/ucb/echo
define INSTALL_RULE
	$(INSTALL) -m 755 -f $(bindir) $<
	mkdir -p $(mandir)
	$(INSTALL) -m 644 -f $(mandir) $(MANPAGE)
endef
LLSCF=-lscf
else
ECHO=echo
define INSTALL_RULE
	$(INSTALL) -m 755 $< $(bindir)
	mkdir -p $(mandir)
	$(INSTALL) -m 644 $(MANPAGE) $(mandir)
	gzip -9f $(mandir)/$(MANPAGE)
endef
LLSCF=
endif

exec_prefix = $(prefix)
bindir = $(exec_prefix)/bin
mandir = $(exec_prefix)/share/man/man1

NVIDIA_XCONFIG = nvidia-xconfig
NVIDIA_XCONFIG_VERSION = 1.0

NVIDIA_XCONFIG_DISTDIR = $(NVIDIA_XCONFIG)-$(NVIDIA_XCONFIG_VERSION)

EXTRA_DIST = \
	nvgetopt.h \
	nvidia-xconfig.h \
	nvidia-cfg.h \
	option_table.h \
	Makefile \
	XF86Config-parser/*.c \
	XF86Config-parser/*.h \
	XF86Config-parser/Makefile \
	nvidia-xconfig.1.m4 \
	gen-manpage-opts.c

MANPAGE = nvidia-xconfig.1

STAMP_C = g_stamp.c

SRC =	util.c			\
	nvidia-xconfig.c 	\
	make_usable.c		\
	multiple_screens.c 	\
	tree.c			\
	nvgetopt.c		\
	options.c		\
        lscf.c

ALL_SRC = $(SRC) $(STAMP_C)

OBJS = $(ALL_SRC:.c=.o)

SUBDIR = XF86Config-parser


CFLAGS += -I $(SUBDIR)
CPPFLAGS = $(CFLAGS)
LDFLAGS = -lm $(LLSCF)

ifneq ($(BUILD_OS),FreeBSD)
LDFLAGS += -ldl
endif


LIB = $(SUBDIR)/libXF86Config-parser.a

default: all

all: $(NVIDIA_XCONFIG) $(MANPAGE)

install: $(NVIDIA_XCONFIG)
	$(STRIP) $<
	$(INSTALL_RULE)

$(NVIDIA_XCONFIG): $(OBJS) $(LIB)
	$(CC) $(CFLAGS) $(OBJS) $(LDFLAGS) -o $@ $(LIB)

.PHONY: $(LIB) dist clean clobber

$(LIB):
	$(MAKE) NV_CFLAGS='$(NV_CFLAGS)' -C $(SUBDIR)

%.o: %.c
	$(CC) -c $(CFLAGS) $< -o $@

%.d: %.c
	@set -e; $(CC) -MM $(CPPFLAGS) $< \
		| sed 's/\($*\)\.o[ :]*/\1.o $@ : /g' > $@; \
		[ -s $@ ] || rm -f $@

$(STAMP_C): $(filter-out $(STAMP_C:.c=.o), $(OBJS))
	@ rm -f $@
	@ $(ECHO) -n "const char NV_ID[] = \"nvidia id: " >> $@
	@ $(ECHO) -n "$(NVIDIA_XCONFIG):  " >> $@
	@ $(ECHO) -n "version $(NVIDIA_XCONFIG_VERSION)  " >> $@
	@ $(ECHO) -n "($(shell whoami)@$(shell hostname))  " >> $@
	@ $(ECHO)    "$(shell date)\";" >> $@
	@ $(ECHO)    "const char *pNV_ID = NV_ID + 11;" >> $@

.PHONY: dist print_version clean clobber

dist: $(EXTRA_DIST)
	@ if [ -d $(NVIDIA_XCONFIG_DISTDIR) ]; then \
		chmod 755 $(NVIDIA_XCONFIG_DISTDIR); \
	fi
	@ if [ -f $(NVIDIA_XCONFIG_DISTDIR).tar.gz ]; \
		then chmod 644 $(NVIDIA_XCONFIG_DISTDIR).tar.gz; \
	fi
	rm -rf $(NVIDIA_XCONFIG_DISTDIR) $(NVIDIA_XCONFIG_DISTDIR).tar.gz
	mkdir -p $(NVIDIA_XCONFIG_DISTDIR)/$(SUBDIR)
	@ for i in $(SRC); do \
		if [ $$i ]; then \
			cp $$i $(NVIDIA_XCONFIG_DISTDIR)/$$i ; \
			chmod 644 $(NVIDIA_XCONFIG_DISTDIR)/$$i ; \
		fi ; \
	done
	@ for i in $(EXTRA_DIST); do \
		if [ $$i ]; then \
			cp $$i $(NVIDIA_XCONFIG_DISTDIR)/$$i ; \
			chmod 644 $(NVIDIA_XCONFIG_DISTDIR)/$$i ; \
		fi ; \
	done
	tar czf $(NVIDIA_XCONFIG_DISTDIR).tar.gz $(NVIDIA_XCONFIG_DISTDIR)
	rm -rf $(NVIDIA_XCONFIG_DISTDIR)

print_version:
	@ $(ECHO) $(NVIDIA_XCONFIG_VERSION)

clean clobber:
	rm -rf *.o *~ *.d $(STAMP_C) $(NVIDIA_XCONFIG) $(MANPAGE) gen-manpage-opts options.1.inc
	$(MAKE) -C $(SUBDIR) $@

### Documentation

AUTO_TEXT = ".\\\" WARNING: THIS FILE IS AUTO-GENERATED!  Edit $< instead."

doc: $(MANPAGE)

gen-manpage-opts.o: gen-manpage-opts.c
	$(HOST_CC) $(CFLAGS) -c $<

gen-manpage-opts: gen-manpage-opts.o
	$(HOST_CC) $(CFLAGS) $^ $(LDFLAGS) -o $@

-include gen-manpage-opts.d

options.1.inc: gen-manpage-opts
	./$< > $@

nvidia-xconfig.1: nvidia-xconfig.1.m4 options.1.inc
	m4 -D__HEADER__=$(AUTO_TEXT) $< > $@

###

-include $(SRC:.c=.d)

=== XF86Config-parser/Makefile ===
SRC =	DRI.c 		\
	Device.c 	\
	Files.c		\
	Flags.c		\
	Input.c		\
	Keyboard.c	\
	Layout.c	\
	Module.c	\
	Monitor.c	\
	Pointer.c	\
	Screen.c	\
	Vendor.c	\
	Video.c		\
	Read.c		\
	Scan.c		\
	Write.c		\
	Util.c		\
	Extensions.c	\
	Generate.c

OBJS = $(SRC:.c=.o)

CFLAGS = -Wall -g

ifdef NV_CFLAGS
  CFLAGS += $(NV_CFLAGS)
endif

LIB = libXF86Config-parser.a
LIB_O = $(LIB:.a=.o)

$(LIB): $(OBJS)
	$(LD) -r -o $(LIB_O) $(OBJS)
	$(AR) ruv $(LIB) $(LIB_O)
	ranlib $(LIB)

%.o: %.c
	$(CC) -c $(CFLAGS) $< -o $@

%.d: %.c
	@set -e; $(CC) -MM $(CPPFLAGS) $< \
		| sed 's/\($*\)\.o[ :]*/\1.o $@ : /g' > $@; \
		[ -s $@ ] || rm -f $@

clean clobber:
	rm -rf *.o *~ *.d $(LIB) $(LIB_O)

-include $(SRC:.c=.d)

## nvidia-xconfig 1.0+20080522-1ubuntu1

=== debian/changelog ===
nvidia-xconfig (1.0+20080522-1ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes (LP: #242933):
    - Conflict with nvidia-glx and nvidia-glx-new
    - Modify Maintainer value to match the DebianMaintainerField
      specification.

 -- Nathan Handler <nathan.handler@gmail.com>  Wed, 25 Jun 2008 08:46:26 -0500

nvidia-xconfig (1.0+20080522-1) unstable; urgency=low

  * new upstream

 -- Randall Donald <rdonald@debian.org>  Tue, 24 Jun 2008 10:53:38 -0700

nvidia-xconfig (1.0+20070502-1ubuntu1) hardy; urgency=low

  * Conflict with nvidia-glx, nvidia-glx-new. (LP: #177559)

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Tue, 22 Jan 2008 12:33:31 +0200

nvidia-xconfig (1.0+20070502-1) unstable; urgency=low

  * New upstream.

 -- Randall Donald <rdonald@debian.org>  Sat, 12 May 2007 15:01:23 -0700

nvidia-xconfig (1.0+20051122-2) unstable; urgency=low

  * Add license and copyright info for XF86Config-parser 

 -- Randall Donald <rdonald@debian.org>  Fri, 30 Dec 2005 10:44:29 -0800

nvidia-xconfig (1.0+20051122-1) unstable; urgency=low

  * Initial Upload.

 -- Randall Donald <rdonald@debian.org>  Mon,  7 Nov 2005 10:54:24 -0800

=== debian/control ===
Source: nvidia-xconfig
Section: x11
Priority: optional
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: Randall Donald <rdonald@debian.org>
Build-Depends: debhelper (>= 4.0.0), m4
Standards-Version: 3.6.2

Package: nvidia-xconfig
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: nvidia-glx, nvidia-glx-new
Description: The NVIDIA X Configuration Tool
 nvidia-xconfig: A tool for manipulating X config files,
 specifically for use by the systems with
 the NVIDIA Linux graphics driver.

## nvidia-xconfig 1.0+20080522-2

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,5 @@
+DESTDIR=
+ROOT=$(DESTDIR)
 #
 # nvidia-xconfig: A tool for manipulating X config files,
 # specifically for use by the NVIDIA Linux graphics driver.
@@ -98,6 +100,7 @@
 NVIDIA_XCONFIG_DISTDIR = $(NVIDIA_XCONFIG)-$(NVIDIA_XCONFIG_VERSION)
 
 EXTRA_DIST = \
+	COPYING \
 	nvgetopt.h \
 	nvidia-xconfig.h \
 	nvidia-cfg.h \
@@ -120,7 +123,9 @@
 	tree.c			\
 	nvgetopt.c		\
 	options.c		\
-        lscf.c
+	lscf.c			\
+	query_gpu_info.c        \
+	extract_edids.c
 
 ALL_SRC = $(SRC) $(STAMP_C)

=== debian/changelog ===
nvidia-xconfig (1.0+20080522-2) unstable; urgency=high

  * add missing pkg-config dependancy. (closes: #497564)
  * change maintainer and uploaders.

 -- Randall Donald <rdonald@debian.org>  Fri, 05 Sep 2008 14:52:57 -0700

=== debian/control ===
Source: nvidia-xconfig
Section: x11
Priority: optional
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders: Randall Donald <rdonald@debian.org>
Build-Depends: debhelper (>= 4.0.0), m4
Standards-Version: 3.6.2

Package: nvidia-xconfig
Architecture: any
Depends: pkg-config, ${shlibs:Depends}
Suggests: nvidia-glx (>= 1.0.8174)
Description: The NVIDIA X Configuration Tool
 nvidia-xconfig: A tool for manipulating X config files,
 specifically for use by the systems with
 the NVIDIA Linux graphics driver.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)


	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp


	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs


	$(MAKE) install DESTDIR=$(CURDIR)/debian/nvidia-xconfig


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress -X.c -X.txt 
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## nvidia-xconfig 195.36.31

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,3 @@
-DESTDIR=
-ROOT=$(DESTDIR)
 #
 # nvidia-xconfig: A tool for manipulating X config files,
 # specifically for use by the NVIDIA Linux graphics driver.

=== debian/changelog ===
nvidia-xconfig (195.36.31-1) unstable; urgency=low

  [ Andreas Beckmann ]
  * Team change: switch Uploaders from Randall to Russ.
  * New upstream release.  (Closes: #479741)
  * Switch to source format 3.0 (quilt).
  * Update to debhelper compat level 7 and Standards-Version 3.8.4.
  * debian/rules: switch to dh and minimize.
  * Adjust Suggests and add nvidia-glx-legacy-* as alternatives.
  * Add watch file.
  * Rephrase long description.  (Closes: #494917)
  * Switch debian/copyright to DEP-5 format and add more license statements
    found in the source.
  * Add Vcs-* URLs.

  [ Russ Allbery ]
  * Move this package to contrib/x11 and priority extra.  It is only
    useful with the non-free NVIDIA drivers since it forces the module to
    the non-free version, and it is now rarely necessary due to the
    improved X.org auto-configuration support.
  * Increase Suggests on the nvidia-glx packages to Recommends, now
    possible with the package moved to contrib, since the library provided
    there is required for some functionality.  (Closes: #356800)
  * Add some additional information to debian/copyright about NVIDIA's
    interpretation of their licensing terms and the use of the GPL for
    code derived from LGPL code.
  * Rewrap and expand the package long description, and make it clearer in
    the short description it's only used with the non-free drivers.
  * Only build on i386 and amd64, since this package is useless without
    NVIDIA hardware.
  * Pass the correct options to the upstream Makefile to disable stripping
    if nostrip is set in DEB_BUILD_OPTIONS.  (Closes: #437655)

  [ Daniel Baumann ]
  * Add a Homepage control field pointing to the download directory.

 -- Russ Allbery <rra@debian.org>  Sat, 12 Jun 2010 23:01:11 -0700

=== debian/control ===
Source: nvidia-xconfig
Section: contrib/x11
Priority: extra
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders: Russ Allbery <rra@debian.org>
Build-Depends: debhelper (>= 7), m4
Standards-Version: 3.8.4
Homepage: ftp://download.nvidia.com/XFree86/nvidia-settings/
Vcs-Svn: svn://svn.debian.org/pkg-nvidia/packages/nvidia-xconfig/trunk
Vcs-Browser: http://svn.debian.org/wsvn/pkg-nvidia/packages/nvidia-xconfig

Package: nvidia-xconfig
Architecture: i386 amd64
Depends: pkg-config, ${shlibs:Depends}, ${misc:Depends}
Recommends:
 nvidia-glx
 | nvidia-glx-legacy-173xx
 | nvidia-glx-legacy-96xx
 | nvidia-glx-legacy-71xx
Description: X configuration tool for non-free NVIDIA drivers
 The nvidia-xconfig program helps with manipulation of X configuration
 files, primarily for systems that use the non-free drivers provided by
 NVIDIA.  It automatically changes the configuration to use the NVIDIA
 driver and can add additional options given on the command line.

=== debian/rules ===
#!/usr/bin/make -f

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
export NVDEBUG = 1
endif

%:
	dh $@

=== debian/watch ===
version=3
ftp://download.nvidia.com/XFree86/nvidia-xconfig/nvidia-xconfig-(.*).tar.gz

## nvidia-xconfig 275.09.07

=== debian/changelog ===
nvidia-xconfig (275.09.07-1) unstable; urgency=low

  [ Andreas Beckmann ]
  * New upstream release.
  * Drop dependency on nvidia-common in favor of nvidia-installer-cleanup.

  [ Russ Allbery ]
  * Add DM-Upload-Allowed: yes.

 -- Russ Allbery <rra@debian.org>  Thu, 16 Jun 2011 07:36:43 -0700

nvidia-xconfig (270.41.06-1) unstable; urgency=low

  * New upstream release.
  * Add nvidia-installer-cleanup as an alternative to nvidia-common.
  * Update Standards-Version to 3.9.2, no changes needed.

 -- Andreas Beckmann <debian@abeckmann.de>  Sun, 15 May 2011 17:56:11 -0700

nvidia-xconfig (260.19.44-1) unstable; urgency=low

  [ Andreas Beckmann ]
  * New upstream release.  (Closes: #618756)
  * Add Pre-Depends: nvidia-common for nvidia-installer cleanup.

 -- Russ Allbery <rra@debian.org>  Tue, 26 Apr 2011 17:03:33 -0700

nvidia-xconfig (256.53-1) experimental; urgency=low

  [ Andreas Beckmann ]
  * New upstream release.
  * Update DESTDIR.diff, add FHS.diff to install in /usr instead of /usr/local
  * Update Standards-Version to 3.9.1, no changes needed.
  * Switch to debhelper compat level 8, no changes needed.
  * Recommend nvidia-glx without alternatives.  This is now a virtual package
    provided by nvidia-glx-legacy-* as well.
  * Add Depends: x11-common so that /etc/X11 exists.
  * Add myself to Uploaders.

  [ Russ Allbery ]
  * Target experimental since 195.36.31-1 should ideally ship with
    squeeze.

 -- Russ Allbery <rra@debian.org>  Sat, 18 Sep 2010 14:56:07 -0700

=== debian/control ===
Source: nvidia-xconfig
Section: contrib/x11
Priority: extra
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders: Russ Allbery <rra@debian.org>,
 Andreas Beckmann <debian@abeckmann.de>,
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 8), m4
Standards-Version: 3.9.2
Homepage: ftp://download.nvidia.com/XFree86/nvidia-xconfig/
Vcs-Svn: svn://svn.debian.org/pkg-nvidia/packages/nvidia-xconfig/trunk
Vcs-Browser: http://svn.debian.org/wsvn/pkg-nvidia/packages/nvidia-xconfig/

Package: nvidia-xconfig
Architecture: i386 amd64
Pre-Depends: nvidia-installer-cleanup
Depends: pkg-config, x11-common, ${shlibs:Depends}, ${misc:Depends}
Recommends: nvidia-glx
Description: X configuration tool for non-free NVIDIA drivers
 The nvidia-xconfig program helps with manipulation of X configuration
 files, primarily for systems that use the non-free drivers provided by
 NVIDIA.  It automatically changes the configuration to use the NVIDIA
 driver and can add additional options given on the command line.

## nvidia-xconfig 280.13

=== Makefile ===
#
# nvidia-xconfig: A tool for manipulating X config files,
# specifically for use by the NVIDIA Linux graphics driver.
#
# Copyright (C) 2008 NVIDIA Corporation
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the:
#
#      Free Software Foundation, Inc.
#      59 Temple Place - Suite 330
#      Boston, MA 02111-1307, USA
#
#
# Makefile
#


##############################################################################
# include common variables and functions
##############################################################################

include utils.mk


##############################################################################
# The calling Makefile may export any of the following variables; we
# assign default values if they are not exported by the caller
##############################################################################

NVIDIA_CFG_DIR        ?= .


##############################################################################
# assign variables
##############################################################################

NVIDIA_XCONFIG = $(OUTPUTDIR)/nvidia-xconfig

NVIDIA_XCONFIG_PROGRAM_NAME = "nvidia-xconfig"

NVIDIA_XCONFIG_VERSION := $(NVIDIA_VERSION)

MANPAGE_GZIP ?= 1

MANPAGE_not_gzipped  = $(OUTPUTDIR)/nvidia-xconfig.1
MANPAGE_gzipped      = $(OUTPUTDIR)/nvidia-xconfig.1.gz
ifeq ($(MANPAGE_GZIP),1)
  MANPAGE            = $(MANPAGE_gzipped)
else
  MANPAGE            = $(MANPAGE_not_gzipped)
endif
GEN_MANPAGE_OPTS   = $(OUTPUTDIR)/gen-manpage-opts
OPTIONS_1_INC      = $(OUTPUTDIR)/options.1.inc


##############################################################################
# The common-utils directory may be in one of two places: either
# elsewhere in the driver source tree when building nvidia-xconfig as
# part of the NVIDIA driver build (in which case, COMMON_UTILS_DIR
# should be defined by the calling makefile), or directly in the
# source directory when building from the nvidia-xconfig source
# tarball (in which case, the below conditional assignment should be
# used)
##############################################################################

COMMON_UTILS_DIR          ?= common-utils

include dist-files.mk

SRC += $(STAMP_C)

include $(COMMON_UTILS_DIR)/src.mk
SRC += $(addprefix $(COMMON_UTILS_DIR)/,$(COMMON_UTILS_SRC))

OBJS = $(call BUILD_OBJECT_LIST,$(SRC))

CFLAGS += -I XF86Config-parser
CFLAGS += -I $(OUTPUTDIR)
CFLAGS += -I $(NVIDIA_CFG_DIR)
CFLAGS += -I $(COMMON_UTILS_DIR)
CFLAGS += -DPROGRAM_NAME=\"nvidia-xconfig\"

HOST_CFLAGS += $(CFLAGS)

LDFLAGS += -lm

ifneq ($(TARGET_OS),FreeBSD)
  LDFLAGS += -ldl
endif

ifeq ($(TARGET_OS),SunOS)
  LDFLAGS += -lscf
endif


##############################################################################
# build rules
##############################################################################

.PNONY: all install NVIDIA_XCONFIG_install MANPAGE_install clean clobber

all: $(NVIDIA_XCONFIG) $(MANPAGE)

install: NVIDIA_XCONFIG_install MANPAGE_install

NVIDIA_XCONFIG_install: $(NVIDIA_XCONFIG)
	$(MKDIR) $(bindir)
	$(INSTALL) $(INSTALL_BIN_ARGS) $< $(bindir)/$(notdir $<)

MANPAGE_install: $(MANPAGE)
	$(MKDIR) $(mandir)
	$(INSTALL) $(INSTALL_DOC_ARGS) $< $(mandir)/$(notdir $<)

$(NVIDIA_XCONFIG): $(OBJS)
	$(call quiet_cmd,LINK) -o $@ $(OBJS) $(CFLAGS) \
	  $(LDFLAGS) $(BIN_LDFLAGS)
	$(call quiet_cmd,STRIP_CMD) $@

# define the rule to build each object file
$(foreach src, $(SRC), $(eval $(call DEFINE_OBJECT_RULE,CC,$(src))))

# define the rule to generate $(STAMP_C)
$(eval $(call DEFINE_STAMP_C_RULE, $(OBJS),$(NVIDIA_XCONFIG_PROGRAM_NAME)))

clean clobber:
	$(RM) -rf $(NVIDIA_XCONFIG) $(MANPAGE) *~ $(STAMP_C) \
		$(OUTPUTDIR)/*.o $(OUTPUTDIR)/*.d \
		$(GEN_MANPAGE_OPTS) $(OPTIONS_1_INC)


##############################################################################
# Documentation
##############################################################################

AUTO_TEXT = ".\\\" WARNING: THIS FILE IS AUTO-GENERATED!  Edit $< instead."

doc: $(MANPAGE)

$(eval $(call DEFINE_OBJECT_RULE,HOST_CC,gen-manpage-opts.c))

$(GEN_MANPAGE_OPTS): $(call BUILD_OBJECT_LIST,gen-manpage-opts.c)
	$(call quiet_cmd,HOST_LINK) $< -o $@ \
		$(HOST_CFLAGS) $(HOST_LDFLAGS) $(HOST_BIN_LDFLAGS)

$(OPTIONS_1_INC): $(GEN_MANPAGE_OPTS)
	@./$< > $@

$(MANPAGE_not_gzipped): nvidia-xconfig.1.m4 $(OPTIONS_1_INC)
	$(call quiet_cmd,M4) -D__HEADER__=$(AUTO_TEXT) -I $(OUTPUTDIR) \
	  -D__VERSION__=$(NVIDIA_VERSION) \
	  -D__DATE__="`$(DATE) +%F`" \
	  $< > $@

$(MANPAGE_gzipped): $(MANPAGE_not_gzipped)
	$(GZIP_CMD) -9f < $< > $@

=== debian/changelog ===
nvidia-xconfig (280.13-1) unstable; urgency=low

  * New upstream release.
  * Recommend libgl1-nvidia-glx-any (for libnvidia-cfg.so.1).

 -- Andreas Beckmann <debian@abeckmann.de>  Mon, 08 Aug 2011 17:35:26 +0200

## nvidia-xconfig 290.10

=== debian/changelog ===
nvidia-xconfig (290.10-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: Update to dep5.mdwn?revision=202.

 -- Andreas Beckmann <debian@abeckmann.de>  Wed, 23 Nov 2011 12:32:49 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
 Architecture: i386 amd64
 Pre-Depends: nvidia-installer-cleanup
 Depends: pkg-config, x11-common, ${shlibs:Depends}, ${misc:Depends}
-Recommends: nvidia-glx
+Recommends: libgl1-nvidia-glx-any
 Description: X configuration tool for non-free NVIDIA drivers
  The nvidia-xconfig program helps with manipulation of X configuration
  files, primarily for systems that use the non-free drivers provided by

## nvidia-xconfig 295.20

=== Makefile ===
--- 
+++ 
@@ -4,22 +4,17 @@
 #
 # Copyright (C) 2008 NVIDIA Corporation
 #
-# This program is free software; you can redistribute it and/or
-# modify it under the terms of the GNU General Public License as
-# published by the Free Software Foundation; either version 2 of the
-# License, or (at your option) any later version.
+# This program is free software; you can redistribute it and/or modify it
+# under the terms and conditions of the GNU General Public License,
+# version 2, as published by the Free Software Foundation.
 #
-# This program is distributed in the hope that it will be useful, but
-# WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
-# General Public License for more details.
+# This program is distributed in the hope that it will be useful, but WITHOUT
+# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
+# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
+# more details.
 #
 # You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the:
-#
-#      Free Software Foundation, Inc.
-#      59 Temple Place - Suite 330
-#      Boston, MA 02111-1307, USA
+# along with this program; if not, see <http://www.gnu.org/licenses>.
 #
 #
 # Makefile

=== debian/changelog ===
nvidia-xconfig (295.20-1) unstable; urgency=low

  * New upstream release.
  * Copyright updates, NVIDIA switched from GPL2+ to GPL2.

 -- Andreas Beckmann <debian@abeckmann.de>  Wed, 15 Feb 2012 21:31:12 +0100

## nvidia-xconfig 304.48

=== Makefile ===
--- 
+++ 
@@ -80,22 +80,23 @@
 
 OBJS = $(call BUILD_OBJECT_LIST,$(SRC))
 
-CFLAGS += -I XF86Config-parser
-CFLAGS += -I $(OUTPUTDIR)
-CFLAGS += -I $(NVIDIA_CFG_DIR)
-CFLAGS += -I $(COMMON_UTILS_DIR)
-CFLAGS += -DPROGRAM_NAME=\"nvidia-xconfig\"
+common_cflags += -I XF86Config-parser
+common_cflags += -I $(OUTPUTDIR)
+common_cflags += -I $(NVIDIA_CFG_DIR)
+common_cflags += -I $(COMMON_UTILS_DIR)
+common_cflags += -DPROGRAM_NAME=\"nvidia-xconfig\"
 
-HOST_CFLAGS += $(CFLAGS)
+CFLAGS += $(common_cflags)
+HOST_CFLAGS += $(common_cflags)
 
-LDFLAGS += -lm
+LIBS += -lm
 
 ifneq ($(TARGET_OS),FreeBSD)
-  LDFLAGS += -ldl
+  LIBS += -ldl
 endif
 
 ifeq ($(TARGET_OS),SunOS)
-  LDFLAGS += -lscf
+  LIBS += -lscf
 endif
 
 
@@ -110,20 +111,20 @@
 install: NVIDIA_XCONFIG_install MANPAGE_install
 
 NVIDIA_XCONFIG_install: $(NVIDIA_XCONFIG)
-	$(MKDIR) $(bindir)
-	$(INSTALL) $(INSTALL_BIN_ARGS) $< $(bindir)/$(notdir $<)
+	$(MKDIR) $(BINDIR)
+	$(INSTALL) $(INSTALL_BIN_ARGS) $< $(BINDIR)/$(notdir $<)
 
 MANPAGE_install: $(MANPAGE)
-	$(MKDIR) $(mandir)
-	$(INSTALL) $(INSTALL_DOC_ARGS) $< $(mandir)/$(notdir $<)
+	$(MKDIR) $(MANDIR)
+	$(INSTALL) $(INSTALL_DOC_ARGS) $< $(MANDIR)/$(notdir $<)
 
 $(NVIDIA_XCONFIG): $(OBJS)
-	$(call quiet_cmd,LINK) -o $@ $(OBJS) $(CFLAGS) \
-	  $(LDFLAGS) $(BIN_LDFLAGS)
+	$(call quiet_cmd,LINK) $(CFLAGS) $(LDFLAGS) $(BIN_LDFLAGS) \
+	    -o $@ $(OBJS) $(LIBS)
 	$(call quiet_cmd,STRIP_CMD) $@
 
 # define the rule to build each object file
-$(foreach src, $(SRC), $(eval $(call DEFINE_OBJECT_RULE,CC,$(src))))
+$(foreach src, $(SRC), $(eval $(call DEFINE_OBJECT_RULE,TARGET,$(src))))
 
 # define the rule to generate $(STAMP_C)
 $(eval $(call DEFINE_STAMP_C_RULE, $(OBJS),$(NVIDIA_XCONFIG_PROGRAM_NAME)))
@@ -142,16 +143,22 @@
 
 doc: $(MANPAGE)
 
-$(eval $(call DEFINE_OBJECT_RULE,HOST_CC,gen-manpage-opts.c))
+GEN_MANPAGE_OPTS_SRC  = gen-manpage-opts.c
+GEN_MANPAGE_OPTS_SRC += $(COMMON_UTILS_DIR)/gen-manpage-opts-helper.c
 
-$(GEN_MANPAGE_OPTS): $(call BUILD_OBJECT_LIST,gen-manpage-opts.c)
-	$(call quiet_cmd,HOST_LINK) $< -o $@ \
-		$(HOST_CFLAGS) $(HOST_LDFLAGS) $(HOST_BIN_LDFLAGS)
+GEN_MANPAGE_OPTS_OBJS = $(call BUILD_OBJECT_LIST,$(GEN_MANPAGE_OPTS_SRC))
+
+$(foreach src, $(GEN_MANPAGE_OPTS_SRC), \
+    $(eval $(call DEFINE_OBJECT_RULE,HOST,$(src))))
+
+$(GEN_MANPAGE_OPTS): $(GEN_MANPAGE_OPTS_OBJS)
+	$(call quiet_cmd,HOST_LINK) \
+	    $(HOST_CFLAGS) $(HOST_LDFLAGS) $(HOST_BIN_LDFLAGS) $^ -o $@
 
 $(OPTIONS_1_INC): $(GEN_MANPAGE_OPTS)
 	@./$< > $@
 
-$(MANPAGE_not_gzipped): nvidia-xconfig.1.m4 $(OPTIONS_1_INC)
+$(MANPAGE_not_gzipped): nvidia-xconfig.1.m4 $(OPTIONS_1_INC) $(VERSION_MK)
 	$(call quiet_cmd,M4) -D__HEADER__=$(AUTO_TEXT) -I $(OUTPUTDIR) \
 	  -D__VERSION__=$(NVIDIA_VERSION) \
 	  -D__DATE__="`$(DATE) +%F`" \

=== debian/changelog ===
nvidia-xconfig (304.48-1) unstable; urgency=low

  * New upstream release.

 -- Andreas Beckmann <debian@abeckmann.de>  Wed, 12 Sep 2012 12:52:29 +0200

nvidia-xconfig (304.43-1) unstable; urgency=low

  * New upstream release.

 -- Andreas Beckmann <debian@abeckmann.de>  Mon, 10 Sep 2012 03:10:29 +0200

nvidia-xconfig (304.37-1) unstable; urgency=low

  * New upstream release.

 -- Andreas Beckmann <debian@abeckmann.de>  Tue, 14 Aug 2012 10:21:02 +0200

nvidia-xconfig (302.17-2) unstable; urgency=low

  * Fix building with DEB_BUILD_OPTIONS=noopt.
  * Enable verbose build by default.

 -- Andreas Beckmann <debian@abeckmann.de>  Sat, 30 Jun 2012 19:24:07 +0200

nvidia-xconfig (302.17-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable.
  * Switch to debhelper 9 to get the hardening build flags.
  * d/rules: Use the hardened CPPFLAGS.

 -- Andreas Beckmann <debian@abeckmann.de>  Wed, 27 Jun 2012 10:54:01 +0200

nvidia-xconfig (302.07-1) experimental; urgency=low

  * New upstream release.
    - Added a new option, --restore-original-backup, to nvidia-xconfig.
      nvidia-xconfig creates a backup of the original X configuration
      file when modifying an X configuration file that does not appear
      to have been previously modified by nvidia-xconfig. This option
      restores a backup of the original X configuration file, if such
      a backup is found.
    * Drop DESTDIR.diff and FHS.diff as the build system now supports DESTDIR
      and allows overriding PREFIX.
  * Upload to experimental.

 -- Andreas Beckmann <debian@abeckmann.de>  Wed, 09 May 2012 11:43:48 +0200

nvidia-xconfig (295.33-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.9.3, no changes needed.
  * Use the final copyright-format/1.0 URL.

 -- Andreas Beckmann <debian@abeckmann.de>  Wed, 04 Apr 2012 14:06:14 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Russ Allbery <rra@debian.org>,
  Andreas Beckmann <debian@abeckmann.de>,
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 8), m4
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), m4
+Standards-Version: 3.9.3
 Homepage: ftp://download.nvidia.com/XFree86/nvidia-xconfig/
 Vcs-Svn: svn://svn.debian.org/pkg-nvidia/packages/nvidia-xconfig/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-nvidia/packages/nvidia-xconfig/

## nvidia-xconfig 319.72

=== Makefile ===
--- 
+++ 
@@ -162,6 +162,7 @@
 	$(call quiet_cmd,M4) -D__HEADER__=$(AUTO_TEXT) -I $(OUTPUTDIR) \
 	  -D__VERSION__=$(NVIDIA_VERSION) \
 	  -D__DATE__="`$(DATE) +%F`" \
+	  -D__BUILD_OS__=$(TARGET_OS) \
 	  $< > $@
 
 $(MANPAGE_gzipped): $(MANPAGE_not_gzipped)

=== debian/changelog ===
nvidia-xconfig (319.72-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 23 Nov 2013 17:43:27 +0100

nvidia-xconfig (319.72-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.5. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 09 Nov 2013 15:11:43 +0100

nvidia-xconfig (319.60-1) unstable; urgency=low

  * New upstream release.
  * Build for armhf, too.
  * Add lintian overrides for missing upstream changelog.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 21 Oct 2013 11:40:35 +0200

nvidia-xconfig (313.30-1) unstable; urgency=low

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 19 Oct 2013 22:56:23 +0200

nvidia-xconfig (310.51-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 18 Oct 2013 20:55:02 +0200

nvidia-xconfig (310.19-1) experimental; urgency=low

  * New upstream release.
  * Upload to experimental.

 -- Andreas Beckmann <debian@abeckmann.de>  Fri, 23 Nov 2012 19:05:25 +0100

nvidia-xconfig (304.108-1) unstable; urgency=low

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 18 Aug 2013 20:50:56 +0200

nvidia-xconfig (304.88-1) unstable; urgency=low

  * New upstream release.
  * clean.patch: New. Clean generated manpage, too.
  * Support building twice in a row.
  * Use canonical Vcs-* URLs.
  * Bump Standards-Version to 3.9.4. No changes needed.
  * Update my email address and drop DMUA. 

 -- Andreas Beckmann <anbe@debian.org>  Sat, 04 May 2013 19:07:13 +0200

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,15 @@
 Priority: extra
 Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
 Uploaders: Russ Allbery <rra@debian.org>,
- Andreas Beckmann <debian@abeckmann.de>,
-DM-Upload-Allowed: yes
+ Andreas Beckmann <anbe@debian.org>,
 Build-Depends: debhelper (>= 9), m4
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: ftp://download.nvidia.com/XFree86/nvidia-xconfig/
-Vcs-Svn: svn://svn.debian.org/pkg-nvidia/packages/nvidia-xconfig/trunk
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-nvidia/packages/nvidia-xconfig/
+Vcs-Svn: svn://anonscm.debian.org/pkg-nvidia/packages/nvidia-xconfig/trunk
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-nvidia/packages/nvidia-xconfig/
 
 Package: nvidia-xconfig
-Architecture: i386 amd64
+Architecture: i386 amd64 armhf
 Pre-Depends: nvidia-installer-cleanup
 Depends: pkg-config, x11-common, ${shlibs:Depends}, ${misc:Depends}
 Recommends: libgl1-nvidia-glx-any

## nvidia-xconfig 340.46

=== Makefile ===
--- 
+++ 
@@ -55,7 +55,7 @@
 else
   MANPAGE            = $(MANPAGE_not_gzipped)
 endif
-GEN_MANPAGE_OPTS   = $(OUTPUTDIR)/gen-manpage-opts
+GEN_MANPAGE_OPTS   = $(OUTPUTDIR_ABSOLUTE)/gen-manpage-opts
 OPTIONS_1_INC      = $(OUTPUTDIR)/options.1.inc
 
 
@@ -156,7 +156,7 @@
 	    $(HOST_CFLAGS) $(HOST_LDFLAGS) $(HOST_BIN_LDFLAGS) $^ -o $@
 
 $(OPTIONS_1_INC): $(GEN_MANPAGE_OPTS)
-	@./$< > $@
+	@$< > $@
 
 $(MANPAGE_not_gzipped): nvidia-xconfig.1.m4 $(OPTIONS_1_INC) $(VERSION_MK)
 	$(call quiet_cmd,M4) -D__HEADER__=$(AUTO_TEXT) -I $(OUTPUTDIR) \

=== debian/changelog ===
nvidia-xconfig (340.46-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.6. No changes needed.

 -- Vincent Cheng <vcheng@debian.org>  Tue, 07 Oct 2014 00:10:51 -0700

nvidia-xconfig (340.32-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Wed, 20 Aug 2014 00:00:25 -0700

nvidia-xconfig (340.24-1) unstable; urgency=medium

  * New upstream release.
  * Add myself to Uploaders.

 -- Vincent Cheng <vcheng@debian.org>  Sat, 19 Jul 2014 17:40:09 -0700

nvidia-xconfig (331.67-1) unstable; urgency=low

  * New upstream release.
  * Add lintian override for gpg signature not provided by upstream.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 22 Apr 2014 14:30:11 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
 Uploaders: Russ Allbery <rra@debian.org>,
  Andreas Beckmann <anbe@debian.org>,
+ Vincent Cheng <vcheng@debian.org>
 Build-Depends: debhelper (>= 9), m4
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: ftp://download.nvidia.com/XFree86/nvidia-xconfig/
 Vcs-Svn: svn://anonscm.debian.org/pkg-nvidia/packages/nvidia-xconfig/trunk
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-nvidia/packages/nvidia-xconfig/

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export NV_VERBOSE=1

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
export DEBUG = 1
endif

export PREFIX = /usr


%:
	dh $@

override_dh_auto_build:
	CC_ONLY_CFLAGS="$(CPPFLAGS)" dh_auto_build

=== debian/watch ===
version=3
ftp://download.nvidia.com/XFree86/nvidia-xconfig/nvidia-xconfig-(.*).tar.(?:gz|bz2)

## nvidia-xconfig 390.87

=== Makefile ===
--- 
+++ 
@@ -118,10 +118,10 @@
 	$(MKDIR) $(MANDIR)
 	$(INSTALL) $(INSTALL_DOC_ARGS) $< $(MANDIR)/$(notdir $<)
 
-$(NVIDIA_XCONFIG): $(OBJS)
+$(eval $(call DEBUG_INFO_RULES, $(NVIDIA_XCONFIG)))
+$(NVIDIA_XCONFIG).unstripped: $(OBJS)
 	$(call quiet_cmd,LINK) $(CFLAGS) $(LDFLAGS) $(BIN_LDFLAGS) \
 	    -o $@ $(OBJS) $(LIBS)
-	$(call quiet_cmd,STRIP_CMD) $@
 
 # define the rule to build each object file
 $(foreach src, $(SRC), $(eval $(call DEFINE_OBJECT_RULE,TARGET,$(src))))

=== debian/changelog ===
nvidia-xconfig (390.87-1~deb9u1) stretch; urgency=medium

  * Rebuild for stretch.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 05 Feb 2019 23:28:34 +0100

nvidia-xconfig (390.87-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.3.0. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 18 Jan 2019 16:48:41 +0100

nvidia-xconfig (390.25-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 07 Mar 2018 01:58:28 +0100

nvidia-xconfig (387.34-1) unstable; urgency=medium

  * New upstream release.
  * Add debian/upstream/metadata.
  * Fix new Lintian issues.
  * Switch Vcs-* URLs to salsa.debian.org.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 06 Mar 2018 01:23:54 +0100

nvidia-xconfig (384.111-1~deb9u1) stretch; urgency=medium

  * Rebuild for stretch.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 26 Feb 2018 00:27:00 +0100

nvidia-xconfig (384.111-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.3. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 13 Jan 2018 17:05:15 +0100

nvidia-xconfig (384.98-1) unstable; urgency=medium

  * New upstream release.
    - Fixed a regression that prevented nvidia-xconfig from querying
      some GPUs, e.g. when running `nvidia-xconfig -a`.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 30 Nov 2017 06:15:46 +0100

nvidia-xconfig (381.22-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 28 Nov 2017 17:32:18 +0100

nvidia-xconfig (378.13-1) unstable; urgency=medium

  * New upstream release.
  * Add B-D: dpkg-dev (>= 1.18.8) for SOURCE_DATE_EPOCH in pkg-info.mk.
  * Set Rules-Requires-Root: no.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 27 Nov 2017 18:41:46 +0100

nvidia-xconfig (375.82-1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * New upstream release.
  * Switch to https:// URLs.
  * Set Priority to optional.
  * Bump Standards-Version to 4.1.1.
  * Use GPL notices without FSF street address.
  * Use dpkg makefile snippets instead of manual changelog parsing.
  * Use a fixed OUTPUTDIR for improved reproducibility.

  [ Russ Allbery ]
  * Remove myself from Uploaders.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 17 Nov 2017 01:21:38 +0100

nvidia-xconfig (375.26-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 13 Jan 2017 03:38:29 +0100

nvidia-xconfig (375.10-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 10 Dec 2016 20:36:46 +0100

nvidia-xconfig (370.28-1) unstable; urgency=medium

  * New upstream release.
  * Switch to debhelper compat level 10, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 08 Dec 2016 12:36:53 +0100

nvidia-xconfig (367.44-1) unstable; urgency=medium

  * New upstream release.
  * Upstream build system allows creation of unstripped binaries.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 10 Oct 2016 11:20:29 +0200

nvidia-xconfig (364.19-1) unstable; urgency=medium

  * New upstream release.
  * Fix upstream build system to allow creation of unstripped binaries.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 09 Oct 2016 20:23:45 +0200

nvidia-xconfig (361.45.18-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 09 Oct 2016 13:09:39 +0200

nvidia-xconfig (358.16-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 09 Oct 2016 01:33:57 +0200

nvidia-xconfig (355.11-1) unstable; urgency=medium

  * New upstream release.
  * Mark nvidia-xconfig as deprecated in the Description since creating an
    xorg.conf is no longer needed for normal setups.  (Closes: #823712)
  * Enable more hardening.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 08 Oct 2016 15:49:40 +0200

nvidia-xconfig (352.79-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 27 Apr 2016 16:07:29 +0200

nvidia-xconfig (349.16-1) unstable; urgency=medium

  * New upstream release.
  * A few files are now under the Expat license.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 26 Apr 2016 12:30:17 +0200

nvidia-xconfig (346.96-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 25 Apr 2016 17:55:41 +0200

nvidia-xconfig (343.36-1) unstable; urgency=medium

  * New upstream release.
  * Resolve xorg libdir at build time.  (Closes: #749730)
  * Ship /etc/X11 instead of depending on x11-common.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 25 Apr 2016 01:20:43 +0200

nvidia-xconfig (340.96-1) unstable; urgency=medium

  * New upstream release.
  * Convert packaging repository from SVN to GIT.
  * Build an unstripped binary s.t. we get a -dbgsym package.
  * typos.patch: New, fix some typos found by lintian.
  * Clean up properly after build.
  * Bump Standards-Version to 3.9.8. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 24 Apr 2016 14:39:12 +0200

nvidia-xconfig (340.93-1) unstable; urgency=medium

  * New upstream release.
  * d/rules: Make the build reproducible by using deterministic timestamp,
    user and hostname strings to be included in the binary. Based on patch for
    nvidia-settings by Jérémy Bobbio.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 07 Oct 2015 11:54:42 +0200

=== debian/control ===
Source: nvidia-xconfig
Section: contrib/x11
Priority: optional
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders:
 Andreas Beckmann <anbe@debian.org>,
 Vincent Cheng <vcheng@debian.org>
Build-Depends:
 debhelper (>= 10),
 dpkg-dev (>= 1.18.8),
 m4,
 pkg-config,
 xserver-xorg-dev,
Rules-Requires-Root: no
Standards-Version: 4.3.0
Homepage: https://download.nvidia.com/XFree86/nvidia-xconfig/
Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-xconfig
Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-xconfig.git

Package: nvidia-xconfig
Architecture: i386 amd64 armhf
Pre-Depends: nvidia-installer-cleanup
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Recommends: libgl1-nvidia-glx-any
Description: deprecated X configuration tool for non-free NVIDIA drivers
 This tool is deprecated. The NVIDIA drivers now automatically integrate with
 the Xorg Xserver configuration. Creating an xorg.conf is no longer needed for
 normal setups.
 .
 The nvidia-xconfig program helps with manipulation of X configuration
 files, primarily for systems that use the non-free drivers provided by
 NVIDIA.  It automatically changes the configuration to use the NVIDIA
 driver and can add additional options given on the command line.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export NV_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk

# Redefine DATE to something stable to make the build reproducible
export DATE		 = date -d "@$(SOURCE_DATE_EPOCH)"
# Cheat for user and hostname
export WHOAMI		 = echo buildd
export HOSTNAME_CMD	 = echo debian

PKG_CONFIG_XORG_XSERVER_LIBDIR	 = $(shell pkg-config --variable=libdir xorg-server)
CPPFLAGS		+= -DPKG_CONFIG_XORG_XSERVER_LIBDIR=\"$(PKG_CONFIG_XORG_XSERVER_LIBDIR)\"

export PREFIX		 = /usr
export DO_STRIP		 =
export CC_ONLY_CFLAGS	 = $(CPPFLAGS)
# reproducible builds: instead of _out/$(uname)_($uname -m) use a fixed directory
export OUTPUTDIR         = _out/debian

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
export DEBUG		 = 1
endif


%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	$(RM) -r _out

## nvidia-xconfig 410.93

=== debian/changelog ===
nvidia-xconfig (410.93-1) unstable; urgency=medium

  * New upstream release.
  * Upstream now builds reproducibly.
  * Refresh patches.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 11 Feb 2019 13:30:20 +0100

nvidia-xconfig (396.54-1) unstable; urgency=medium

  * New upstream release.
  * Switch to debhelper-compat (= 12).

 -- Andreas Beckmann <anbe@debian.org>  Fri, 08 Feb 2019 19:22:53 +0100

## nvidia-xconfig 418.56

=== Makefile ===
--- 
+++ 
@@ -73,8 +73,6 @@
 
 include dist-files.mk
 
-SRC += $(STAMP_C)
-
 include $(COMMON_UTILS_DIR)/src.mk
 SRC += $(addprefix $(COMMON_UTILS_DIR)/,$(COMMON_UTILS_SRC))
 
@@ -126,11 +124,8 @@
 # define the rule to build each object file
 $(foreach src, $(SRC), $(eval $(call DEFINE_OBJECT_RULE,TARGET,$(src))))
 
-# define the rule to generate $(STAMP_C)
-$(eval $(call DEFINE_STAMP_C_RULE, $(OBJS),$(NVIDIA_XCONFIG_PROGRAM_NAME)))
-
 clean clobber:
-	$(RM) -rf $(NVIDIA_XCONFIG) $(MANPAGE) *~ $(STAMP_C) \
+	$(RM) -rf $(NVIDIA_XCONFIG) $(MANPAGE) *~ \
 		$(OUTPUTDIR)/*.o $(OUTPUTDIR)/*.d \
 		$(GEN_MANPAGE_OPTS) $(OPTIONS_1_INC)

=== debian/changelog ===
nvidia-xconfig (418.56-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 22 Apr 2019 16:22:09 +0200

nvidia-xconfig (415.27-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 20 Apr 2019 06:40:07 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Andreas Beckmann <anbe@debian.org>,
  Vincent Cheng <vcheng@debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 12),
  dpkg-dev (>= 1.18.8),
  m4,
  pkg-config,

=== debian/rules ===
--- 
+++ 
@@ -8,12 +8,6 @@
 
 include /usr/share/dpkg/buildflags.mk
 include /usr/share/dpkg/pkg-info.mk
-
-# Redefine DATE to something stable to make the build reproducible
-export DATE		 = date -d "@$(SOURCE_DATE_EPOCH)"
-# Cheat for user and hostname
-export WHOAMI		 = echo buildd
-export HOSTNAME_CMD	 = echo debian
 
 PKG_CONFIG_XORG_XSERVER_LIBDIR	 = $(shell pkg-config --variable=libdir xorg-server)
 CPPFLAGS		+= -DPKG_CONFIG_XORG_XSERVER_LIBDIR=\"$(PKG_CONFIG_XORG_XSERVER_LIBDIR)\"

=== debian/watch ===
version=3
https://download.nvidia.com/XFree86/nvidia-xconfig/nvidia-xconfig-(.*).tar.(?:gz|bz2)

## nvidia-xconfig 440.44

=== debian/changelog ===
nvidia-xconfig (440.44-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 29 Jan 2020 22:17:17 +0100

nvidia-xconfig (435.21-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.5.0. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 23 Jan 2020 02:14:32 +0100

nvidia-xconfig (430.50-1) unstable; urgency=medium

  * New upstream release.
    - Fixed a bug that could cause the display to be driven at a low
      resolution when configuring PRIME display offloading with
      `nvidia-xconfig --prime`.
  * Bump Standards-Version to 4.4.1. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 09 Oct 2019 23:27:26 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  pkg-config,
  xserver-xorg-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://download.nvidia.com/XFree86/nvidia-xconfig/
 Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-xconfig
 Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-xconfig.git
